@charset "utf-8";

.img-eye-catch {
  aspect-ratio: 1;
  object-fit: cover;
  border-radius: 7px;
  width: 180px;
}

.bs-top-post__item-eye-catch {
  aspect-ratio: 1;
}

  .bs-top-post {
  margin: 0 0 20px 0 !important;
  padding: 0 !important;
  display: flex;
  flex-wrap: wrap;
}
.bs-top-post__item {
  border-bottom: none;
  margin: 20px auto !important;
  padding: 0 !important;
  list-style: none;
  font-size: 14px;
  overflow: hidden;
  transition: transform .4s ease-in-out;
  max-width: 300px;
}
.bs-blog-post__item-eye-catch {
  transition: all 300ms;
  float: left;
  display: block;
  margin-right: 0px !important;
  margin-bottom: 20px;
  max-width: 300px;
}
.bs-blog-post__item-eye-catch img {
  width: 100%;
}
.bs-blog-post__item {
  border-bottom: 1px solid #ddd;
  margin: 0 auto !important;
  padding: 20px 0 0px !important;
  list-style: none;
  font-size: 14px;
  max-width: 300px;
}

@media screen and (min-width: 600px) {
  .bs-top-post {
  margin: 0 0 20px 0 !important;
  padding: 0 !important;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
.bs-top-post__item {
  border-bottom: none;
  margin: 20px 0 !important;
  padding: 0 !important;
  list-style: none;
  font-size: 14px;
  overflow: hidden;
  transition: transform .4s ease-in-out;
  flex-basis: 47%;
  max-width: 100%;
}
.bs-blog-post__item-eye-catch {
  transition: all 300ms;
  float: left;
  display: block;
  margin-right: 20px !important;
  margin-bottom: 20px;
}
.bs-blog-post__item-eye-catch img {
  width: 180px;
}
.bs-blog-post__item {
  border-bottom: 1px solid #ddd;
  margin-right: 0px !important;
  padding: 20px 0 0px !important;
  list-style: none;
  font-size: 14px;
  max-width: 100%;
}
}

@media screen and (min-width: 768px) {
  .bs-top-post {
  margin: 0 0 20px 0 !important;
  padding: 0 !important;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
.bs-top-post__item {
  border-bottom: none;
  margin: 20px 0 !important;
  padding: 0 !important;
  list-style: none;
  font-size: 14px;
  overflow: hidden;
  transition: transform .4s ease-in-out;
  flex-basis: 30%;
}
}

.bs-top-post__item-detail {
  margin-bottom: 20px;
}

.bs-top-post__item:hover {
  transform: translateY(-10px);
}

.bs-top-post__item a {
  transition: all 300ms;
  text-decoration: none;
  overflow: hidden;
}

.bs-top-post__item-eye-catch_wrap {
  position: relative;
}

.bs-top-post__item-eye-catch {
  transition: all 300ms;
  float: none;
  display: block;
  margin-right: 0 !important;
  border-radius: 7px;
}

.bs-top-post .img-eye-catch {
  aspect-ratio: 1;
  object-fit: cover;
  width: 100%;
  transition: transform .4s ease-in-out;
}

.bs-top-post .bs-top-post__item:hover .img-eye-catch {
  transform: scale(1.05);
}

.bs-top-post__item-meta {
  position: absolute;
  bottom: 0;
  padding: 10px;
}

.bs-top-post__item-date {
  margin: 0 !important;
  padding-right: 10px;
  font-size: 13px;
  letter-spacing: 0;
  color: #fff;
  text-shadow: 0 0px 5px rgba(0,0,0,0.2);
}

.bs-top-post__item-category {
  font-size: 10px;
  border: none;
  padding: 6px 12px;
  border-radius: 13px;
  white-space: nowrap;
  background: #fff;
}

.bs-top-post__item-title {
  display: block;
  margin: 10px 0 5px;
  font-size: 18px;
  line-height: 1.6 !important;
  font-weight: 600;
  padding: 0;
}

.bs-top-post__item-eye-catch:hover {
  opacity: 1;
}

.bs-single-post__eye-catch a:hover,
.bs-single-post__eye-catch img:hover {
  opacity: 1;
}

.btn a, .btn input {
  text-decoration: none;
  border: none;
  display: block;
  font-size: 1em;
  color: #fff !important;
  transition: 0.3s;
  padding: 0.7em 1em;
  margin: 2em auto 0;
  width: calc(100vw / 2);
  max-width: 300px;
  text-align: center;
  background: #376c5e;
  box-shadow: none;
  border-radius: 3px;
}

.btn a:hover, .btn input:hover {
  cursor: pointer;
  opacity: 1;
  filter: brightness(1.2);
  transform: scale(1.02);
}

.bs-info .btn i {
  margin-left: 15px;
}
.fa-solid, .fas {
  font-weight: 900;
}
.fa-classic, .fa-regular, .fa-solid, .far, .fas {
  font-family: "Font Awesome 6 Free";
}

/* bc_sampleテーマのレイアウトにアジャストするため */
  .blog-contents-navi {
    border-top: 1px solid #ddd;
    border-bottom: 1px solid #ddd;
    margin: 160px 0 0 0;
    font-family: "SF Pro JP", "SF Pro Text", "SF Pro Icons", "Hiragino Kaku Gothic Pro", "ヒラギノ角ゴ Pro W3", "メイリオ", "Meiryo", "ＭＳ Ｐゴシック", "Helvetica Neue", "Helvetica", "Arial", "sans-serif";
    font-size: 14px;
  }
  .blog-contents-navi a {
    transition: all 300ms;
    text-decoration: none;
  }
  .blog-contents-navi .prev-link,
  .blog-contents-navi .next-link {
    padding: 20px 0;
  }
  .blog-contents-navi a:link, .blog-contents-navi a:visited {
    color: #000 !important;
  }
  .blog-contents-navi a:hover {
    color: #555 !important;
  }
  /* そもそも「関連記事」エリアのレイアウトがされていなかったので追加 */
  #RelatedPosts {
    margin-top: 80px;
  }

/* prevlink nextlink デザイン変更用 */
  .contentsNavi a {
    overflow: hidden;
    text-overflow: ellipsis; /* 3点リーダー省略表示するため */
    white-space: nowrap;
  }
  .contentsNavi {
    display: flex;
    position: relative;
    max-width: 860px; /* bc_sampleテーマの場合 */
  }
  .contentsNavi-inner-left, .contentsNavi-inner-right {
    max-width: calc(50% - 10px);
    width: auto;
  }
  .contentsNavi-inner-right {
    display: flex;
    box-sizing: border-box;
    padding-right: 1.5em;
    margin-left: auto; 
  }
  .contentsNavi-inner-right a:after {
    content: "\f061";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    position: absolute; /* 矢印アイコンを右端レイアウトにするため */
    right: 0;
    top: calc(50% - 0.5em); /* 矢印アイコンを縦中央レイアウトにするため */
    line-height: 100%;
  }
  .contentsNavi-inner-left {
    display: flex;
    box-sizing: border-box;
    padding-left: 1.5em;
  }
  .contentsNavi-inner-left a:before {
    content: "\f060";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    position: absolute; /* 矢印アイコンを左端レイアウトにするため */
    left: 0;
    bottom: calc(50% - 0.5em); /* 矢印アイコンを縦中央レイアウトにするため */
    line-height: 100%;
  }